FROM golang:alpine AS build

# Need to install git
RUN apk add --no-cache git

WORKDIR /go
COPY src ./src
RUN go get ./...
RUN go install atp/demo

FROM alpine AS runtime
WORKDIR /app
COPY --from=build /go/bin/demo ./
COPY *.html ./
ENTRYPOINT ["/app/demo"]